<?php
include ("../conexion.php");
include ("../funciones/fechas.php");


$cdgpro=$_POST["cdgpro"];

$contador =  0;

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];


echo $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
echo $fechafin= implode("-", array_reverse(explode("-", $fechafin))); 

$fechafin=trim($fechafin);
$fechainicio=trim($fechainicio);
$where="1=1";

$where2="1=1";

if ($cdgpro <> "") { $where2.=" AND cdgpro='$cdgpro'"; }

//
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND factulinea.fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND factulinea.fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND factulinea.fecfac <='".$fechafin."'";
		}
	}
}




 if ($result = $mysqli->query("SELECT CDGBAR FROM web_1001 WHERE estart=1  AND ".$where2)) {
   $filas = $result->num_rows;
   $result->close();
   
	}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_proforma(codfactura) {
			parent.location.href="ver_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_proforma(codfactura,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////

		function eliminar_proforma(codfactura,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique factura ya fue ANULADA !");
					} else {	
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(cantidad,importe,mondes,impuesto,total) {

	parent.document.form_busqueda.importe.value=importe;
	parent.document.form_busqueda.mondes.value=mondes;
	parent.document.form_busqueda.impuesto.value=impuesto;
	parent.document.form_busqueda.total.value=total;
	parent.document.form_busqueda.cantidad.value=cantidad;
	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">

				<?php 
					if ($filas > 0) {
					
								   					
				$consulta = "SELECT CDGART, CDGBAR,DSCART,EXIACT FROM web_1001  WHERE  estart=1  AND ".$where2. "  ORDER BY   dscart ASC  " ;
				if ($resultado = $mysqli->query($consulta)) 

  			   while ($fila = $resultado->fetch_assoc()) {		
					       
					        $cdgart   = $fila["CDGART"];
							$cdgbar   = $fila["CDGBAR"];
							$dscart   = $fila["DSCART"];
							$exiact   = $fila["EXIACT"];
							
				
$consulta2 = "SELECT SUM(cantidad) as cantidad, SUM(montotlin) as montotlin  , SUM(importe) as subtotal, SUM(mondes) as mondes , SUM(impuesto) as impuesto   FROM  factulinea WHERE codigo = '$cdgbar'   AND ".$where. "  GROUP BY codigo";

					if ($resultado2 = $mysqli->query($consulta2)) 
					$row = $resultado2->fetch_assoc();
					$cantidad=$row["cantidad"];	
					$montotlin=$row["montotlin"];	
					$subtotal=$row["subtotal"];	
					$impuesto=$row["impuesto"];				
					$mondes=$row["mondes"];	
			
					
			
				 
								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="2%"><?php $contador+1;?></td>

								<td width="12%" align="right"><div align="left"><?php echo $cdgbar ?></div></td>	
									<?php	  $dscart = substr($dscart, 0,70);  ?>	
								<td width="28%"><div align="left"><?php echo $dscart  ?></div></td>	
							
								<td width="4%"><div align="right"><?php echo number_format($cantidad,2)  ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($subtotal,2)  ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($mondes,2)  ?></div></td>	
								<td width="11%"><div align="right"><?php echo number_format($impuesto,2)  ?></div></td>	
								<td width="12%"><div align="right"><?php echo number_format($montotlin,2)  ?></div></td>	
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"Proveedor no registra articulos";?></td>
					    </tr>
					</table>					
					<?php } 
					
					
					
					?>	
			
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
